--- title: "getCloudMssqlImageProductList" slug: "database-vmssql-getcloudmssqlimageproductlist" tags: ["Cloud DB for MSSQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqlimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlImageProductList Available in VPC Get the list of Cloud DB for MSSQL image product codes. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code to view the Cloud DB for MSSQL image product code list for - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default) | | `productCode` | String | Optional | Cloud DB for MSSQL image product code - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist). | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MSSQL image product code. - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist). | | `generationCode` | String | Optional | Filter by generation code. - `G2` \| `G3` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlImageProductList ?regionCode=KR &productCode=SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100 &generationCode=G2 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudDbProductList](/docs/en/common-vapidatatype-clouddbproductlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudMssqlImageProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100", "productName": "MSSQL 15.0.4355.3 Enterprise Edition", "productType": { "code": "WINNT", "codeName": "Windows NT" }, "productDescription": "Windows Server 2016 with MSSQL 2019 RTM (15.0.4355.3) Enterprise English Edition", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 107374182400, "platformType": { "code": "WND64", "codeName": "Windows 64 Bit" }, "osInformation": "Windows Server 2016 with MSSQL 15.0.4355.3 Enterprise Edition", "generationCode": "G2", "engineVersionCode": "15.0.4355.3" } ], "requestId": "3c2e87fd-****-****-****-339e92c192fb", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 3c2e87fd-****-****-****-339e92c192fb 0 success 1 SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100 MSSQL 15.0.4355.3 Enterprise Edition WINNT Windows NT Windows Server 2016 with MSSQL 2019 RTM (15.0.4355.3) Enterprise English Edition SW Software 107374182400 WND64 Windows 64 Bit Windows Server 2016 with MSSQL 15.0.4355.3 Enterprise Edition G2 15.0.4355.3 ```